Skip to content

List order types

GET
/listings/order_types
curl --request GET \
--url 'https://acme.mykreezalid.com/api/v1/listings/order_types?page=1&limit=25' \
--header 'Authorization: Basic <credentials>'

Returns the order types of your marketplace (how a listing is sold or booked). Use a url_token as order_type_url_token when you create or update a listing. The list is paginated with page and limit, without a pagination block in the response.

page
integer
default: 1 >= 1

Page number, starting at 1.

limit
integer
default: 25 >= 1 <= 100

Number of results per page (at most 100).

Your order types

Media typeapplication/json
object
orderTypes
Array<object>
object
url_token

Token identifying the order type

string
title
string
transaction_type
string
admin_url

Always null in this list

string
nullable

Example

{
"orderTypes": [
{
"title": "Sale",
"transaction_type": "selling"
}
]
}

Missing or wrong API credentials

The requested page does not exist